Bug 240105 - graphics/qgis-ltr: Update to 3.4.11
Summary: graphics/qgis-ltr: Update to 3.4.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-25 19:06 UTC by Rainer Hurling
Modified: 2019-08-29 05:48 UTC (History)
2 users (show)

See Also:


Attachments
patch to update graphics/qgis-ltr from 3.4.7 to 3.4.11 (9.95 KB, patch)
2019-08-25 19:06 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2019-08-25 19:06:35 UTC
Created attachment 206901 [details]
patch to update graphics/qgis-ltr from 3.4.7 to 3.4.11

This is a minor update for the QGIS LTR version 3.4.7 to 3.4.11.

Changes of the port:
- Update to 3.4.11
- Build with ports clang default version
- Add astro/gpsbabel as dependency
- Update several Python dependencies
- Add devel/py-geojson, devel/py-nbformat, math/py-networkx, 
  graphics/py-pillow, graphics/py-scikit-image, and 
  devel/py-shapely for Python extension
- Add -DCMAKE_POLICY_DEFAULT_CMP0056:STRING=NEW
- Update pkg-plist


The patch is tested on Poudriere (11.3i/a, 12.0i/a, and HEADi/a),
'portlint -AC' seems happy.
Comment 1 Kurt Jaeger freebsd_committer 2019-08-28 19:09:01 UTC
testbuilds@work
Comment 2 Kurt Jaeger freebsd_committer 2019-08-29 05:47:58 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2019-08-29 05:48:43 UTC
A commit references this bug:

Author: pi
Date: Thu Aug 29 05:47:55 UTC 2019
New revision: 510142
URL: https://svnweb.freebsd.org/changeset/ports/510142

Log:
  graphics/qgis-ltr: upgrade 3.4.7 -> 3.4.11

  - Build with ports clang default version
  - Add astro/gpsbabel as dependency
  - Update several Python dependencies
  - Add devel/py-geojson, devel/py-nbformat, math/py-networkx,
    graphics/py-pillow, graphics/py-scikit-image, and
    devel/py-shapely for Python extension
  - Add -DCMAKE_POLICY_DEFAULT_CMP0056:STRING=NEW

  PR:		240105
  Submitted by:	Rainer Hurling <rhurlin@gwdg.de> (maintainer)

Changes:
  head/graphics/qgis-ltr/Makefile
  head/graphics/qgis-ltr/distinfo
  head/graphics/qgis-ltr/pkg-plist